LINUX.ORG.RU

xmms и glib


0

0

делаю ./configure, и xmms жалуется, что не нашёл glib-config. Говорит, что нужен glib 1.2.2 или выше. А стоит glib 2. Проблема понятна: в glib 2 используется pkg-config... А потому,в принципе,можно было бы поставить glib 1.2 и жить спокойно. Но вот что меня интересует: тот же xmms без проблем ставится (и работает) из rpm. Это как? Можно ли как-то xmms собрать из исходников, не имея glib-config?

fedora 3

anonymous

Re: xmms и glib

Есть glib, а есть glib2 (как и gtk)

суть ясна?

берешь 4-й диск Федоры и ставишь оттуда все что надо (glib-devel, gtk+-devel и все из зависимости)

Demetrio ★★★★★ ()
Ответ на: Re: xmms и glib от Demetrio

Re: xmms и glib

Т.е. glib-config нужен только непосредственно для сборки, так что ли? А если xmms (или любая другая прога) уже собраны в rpm, то он установится будет работать и без glib-config'а? Теперь понял. Спасибо.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.